org.apache.ignite.internal.util.ipc

## Class IpcToNioAdapter<T>

- java.lang.Object
- - org.apache.ignite.internal.util.ipc.IpcToNioAdapter<T>

    public class IpcToNioAdapter<T>
    extends Object

Allows to re-use existing `GridNioFilter`s on IPC (specifically shared memory IPC) communications. Note that this class consumes an entire thread inside `serve()` method in order to serve one `IpcEndpoint`.

### Constructor Summary

Constructors
Constructor and Description
`IpcToNioAdapter(GridNioMetricsListener metricsLsnr, IgniteLogger log, IpcEndpoint endp, GridNioServerListener<T> lsnr, GridNioMessageWriterFactory writerFactory, GridNioFilter... filters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `serve()` Serves given set of listeners repeatedly reading data from the endpoint.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IpcToNioAdapter

    public IpcToNioAdapter(GridNioMetricsListener metricsLsnr,
                           IgniteLogger log,
                           IpcEndpoint endp,
                           GridNioServerListener<T> lsnr,
                           GridNioMessageWriterFactory writerFactory,
                           GridNioFilter... filters)

Parameters:
  `metricsLsnr` - Metrics listener.
  `log` - Log.
  `endp` - Endpoint.
  `lsnr` - Listener.
  `writerFactory` - Writer factory.
  `filters` - Filters.

### Method Detail

#### serve

    public void serve()
               throws InterruptedException

Serves given set of listeners repeatedly reading data from the endpoint.

Throws:
  `InterruptedException` - If interrupted.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019